about summary refs log tree commit diff
path: root/tools/run-nm-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/run-nm-test.sh')
-rwxr-xr-xtools/run-nm-test.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/tools/run-nm-test.sh b/tools/run-nm-test.sh
index b1d3dd93..59a48933 100755
--- a/tools/run-nm-test.sh
+++ b/tools/run-nm-test.sh
@@ -300,9 +300,10 @@ fi
 
 if ! _is_true "$NMTST_USE_VALGRIND" 0; then
     export NM_TEST_UNDER_VALGRIND=0
-    exec "${NMTST_DBUS_RUN_SESSION[@]}" \
-    "$TEST" "${TEST_ARGV[@]}"
-    die "exec \"$TEST\" failed"
+    "${NMTST_DBUS_RUN_SESSION[@]}" "$TEST" "${TEST_ARGV[@]}"
+    r=$?
+    [ $r == 0 ] || die "exec \"$TEST\" failed with exit code $r"
+    exit 0
 fi
 
 if [[ -z "${NMTST_VALGRIND}" ]]; then